Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageOpenClose3D Class Reference

`#include <vtkImageOpenClose3D.h>`

Inheritance diagram for vtkImageOpenClose3D:

[legend]
Collaboration diagram for vtkImageOpenClose3D:

[legend]
List of all members.

## Detailed Description

Will perform opening or closing.

Date:
  2002/12/11 14:26:22

Revision:
  1.26

vtkImageOpenClose3D performs opening or closing by having two vtkImageErodeDilates in series. The size of operation is determined by the method SetKernelSize, and the operator is an ellipse. OpenValue and CloseValue determine how the filter behaves. For binary images Opening and closing behaves as expected. Close value is first dilated, and then eroded. Open value is first eroded, and then dilated. Degenerate two dimensional opening/closing can be achieved by setting the one axis the 3D KernelSize to 1. Values other than open value and close value are not touched. This enables the filter to processes segmented images containing more than two tags.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (84%)
  - Kelly, Ann (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageOpenClose3D.cxx)`
  - .`h` (`/Imaging/vtkImageOpenClose3D.h)`

Tests:
  vtkImageOpenClose3D (Tests)

Definition at line 58 of file vtkImageOpenClose3D.h.

## [NOHEADER]
typedef vtkImageToImageFilter | Superclass
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkImageOpenClose3D * | New ()
int | IsTypeOf (const char *type)
vtkImageOpenClose3D * | SafeDownCast (vtkObject *o)
## Public Methods
unsigned long int | GetMTime ()
void | Modified ()
void | SetInput (vtkImageData *Input)
void | SetKernelSize (int size0, int size1, int size2)
void | DebugOn ()
void | DebugOff ()
vtkImageData * | GetOutput ()
vtkImageData * | GetOutput (int idx)
void | SetOpenValue (float value)
float | GetOpenValue ()
void | SetCloseValue (float value)
float | GetCloseValue ()
virtual vtkImageDilateErode3D * | GetFilter0 ()
virtual vtkImageDilateErode3D * | GetFilter1 ()
## Protected Methods
| vtkImageOpenClose3D ()
| ~vtkImageOpenClose3D ()
## Protected Attributes
vtkImageDilateErode3D * | Filter0
vtkImageDilateErode3D * | Filter1

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageOpenClose3D::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 64 of file vtkImageOpenClose3D.h.

## Constructor & Destructor Documentation

vtkImageOpenClose3D::vtkImageOpenClose3D | ( |  | ) | `[protected]`

vtkImageOpenClose3D::~vtkImageOpenClose3D | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageOpenClose3D* vtkImageOpenClose3D::New | ( |  | ) | `[static]`

| Default open value is 0, and default close value is 255. Reimplemented from vtkObject.

virtual const char* vtkImageOpenClose3D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageOpenClose3D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageOpenClose3D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageOpenClose3D* vtkImageOpenClose3D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageOpenClose3D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

unsigned long int vtkImageOpenClose3D::GetMTime | ( |  | ) | `[virtual]`

| This method considers the sub filters MTimes when computing this objects modified time. Reimplemented from vtkObject.

void vtkImageOpenClose3D::DebugOn | ( |  | ) | `[virtual]`

| Turn debugging output on. (in sub filters also) Reimplemented from vtkObject.

void vtkImageOpenClose3D::DebugOff | ( |  | ) | `[virtual]`

| Turn debugging output on. (in sub filters also) Reimplemented from vtkObject.

void vtkImageOpenClose3D::Modified | ( |  | ) | `[virtual]`

| Pass modified message to sub filters. Reimplemented from vtkObject.

vtkImageData* vtkImageOpenClose3D::GetOutput | ( |  | ) |

| This method returns the cache to make a connection It justs feeds the request to the sub filter. Reimplemented from vtkImageSource.

vtkImageData* vtkImageOpenClose3D::GetOutput | ( | int | idx | ) | `[inline]`

| This method returns the cache to make a connection It justs feeds the request to the sub filter. Reimplemented from vtkImageSource. Definition at line 87 of file vtkImageOpenClose3D.h. References vtkImageSource::GetOutput().

void vtkImageOpenClose3D::SetInput | ( | vtkImageData * | Input | ) | `[virtual]`

| Set the Input of the filter. Reimplemented from vtkImageToImageFilter.

void vtkImageOpenClose3D::SetKernelSize | ( | int | size0,
|  | int | size1,
|  | int | size2
| ) |

| Selects the size of gaps or objects removed.

void vtkImageOpenClose3D::SetOpenValue | ( | float | value | ) |

| Determines the value that will opened. Open value is first eroded, and then dilated.

float vtkImageOpenClose3D::GetOpenValue | ( |  | ) |

| Determines the value that will opened. Open value is first eroded, and then dilated.

void vtkImageOpenClose3D::SetCloseValue | ( | float | value | ) |

| Determines the value that will closed. Close value is first dilated, and then eroded

float vtkImageOpenClose3D::GetCloseValue | ( |  | ) |

| Determines the value that will closed. Close value is first dilated, and then eroded

virtual vtkImageDilateErode3D* vtkImageOpenClose3D::GetFilter0 | ( |  | ) | `[virtual]`

| Needed for Progress functions

virtual vtkImageDilateErode3D* vtkImageOpenClose3D::GetFilter1 | ( |  | ) | `[virtual]`

| Needed for Progress functions

## Member Data Documentation

vtkImageDilateErode3D* vtkImageOpenClose3D::Filter0`[protected]`

| Definition at line 126 of file vtkImageOpenClose3D.h.

vtkImageDilateErode3D* vtkImageOpenClose3D::Filter1`[protected]`

| Definition at line 127 of file vtkImageOpenClose3D.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageOpenClose3D.h